roasOS
API referenceResearch

Get research results

Returns the finished, normalized ad records with their source and provenance. Raw provider data and billing details are never included.

GET
/v1/research/jobs/{id}/result

Returns the finished, normalized ad records with their source and provenance. Raw provider data and billing details are never included.

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/research/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08/result"
{  "data": {    "schema_version": "research-result@1",    "kind": "research_result",    "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",    "capability_id": "research.facebook-company-ads@1",    "status": "succeeded",    "cache_disposition": "cache_hit",    "reserved_credits": 0,    "maximum_credits": 0,    "settled_credits": 0,    "provenance": {      "source": "facebook",      "native_id": "string",      "fetched_at": "2019-08-24T14:15:22Z",      "fresh_through": "2019-08-24T14:15:22Z"    },    "result": {      "kind": "facebook_company_ads",      "items": [        {          "id": "string",          "source": "facebook_ad",          "advertiser": {            "id": "string",            "name": "string",            "avatar_url": "http://example.com"          },          "media": {            "type": "image",            "slides": [              {                "type": "image",                "thumbnail_url": "http://example.com",                "video_url": "http://example.com"              }            ]          },          "copy": "string",          "title": "string",          "description": "string",          "domain": "string",          "cta": "string",          "destination_url": "http://example.com",          "run_start_date": "string",          "run_end_date": "string",          "is_active": true,          "platform_link": "http://example.com"        }      ],      "item_count": 0    }  }}